SendCancel a scheduled or queued email

Cancel a scheduled or queued email

Cancels a scheduled or queued email. Cannot cancel emails that are already sent, failed, or cancelled. Credits are NOT refunded.

curl -X POST "https://api.supasend.io/v1/send/507f1f77bcf86cd799439011/cancel" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "id": "example_string",
  "status": "cancelled"
}
POST
/v1/send/{id}/cancel
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key in the format sk_live_<64 hex characters>

API key in the format sk_live_<64 hex characters>
path
idstring
Required

MongoDB ObjectID

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. API key in the format sk_live_\<64 hex characters\>

Path Parameters

idstring
Required

MongoDB ObjectID

Example:
507f1f77bcf86cd799439011

Responses

idstring
statusstring